/*
    Bibliotecas e variaveis necessarias para Ethernet
*/
#include <SPI.h>
#include <Ethernet.h>

byte mac[] = {0x90, 0xA2, 0xDA, 0x0E, 0xDB, 0xB6};
IPAddress ip(192, 168, 1, 110);
EthernetClient client;

const byte server[] = {54, 86, 132, 254};

boolean lastConnected = false;


/*
    Bibliotecas e variaveis necessarias para o DS18S20
*/
#include <OneWire.h>
int DS18S20_Pin = 8;
OneWire ds(DS18S20_Pin);


/*
    Iniciando tudo...
*/
void setup() {
    // Da tempo para a porta Ethernet iniciar
    delay(1000);
    Ethernet.begin(mac, ip);

    Serial.begin(9600);
}


/*
    Loop principal
*/
void loop() {
    client.stop();

    float T = getTemp();
    httpRequest(T);

    delay(10 * 60 * 1000); // 10min
}


/*
    Envia as medidas para o servidor
*/
void httpRequest(double T) {
    if (client.connect(server, 80)) {
        client.print("GET /input/Jxyjr7DmxwTD5dG1D1Kv?");
        client.print(private_key=gzgnB4VazkIg7GN1g1qA&brewTemp=);
        client.print(T, 1);
        client.println(" HTTP/1.1");
        client.println("Host: data.sparkfun.com");
        client.println("User-Agent: arduino-ethernet");
        client.println("Connection: close");
        client.println();
    } else {
        client.stop();
    }

    Serial.print(T, 1);
}
